* llvm.spec.in: update blurb
authorGabor Greif <ggreif@gmail.com>
Fri, 13 Jul 2007 09:48:29 +0000 (09:48 +0000)
committerGabor Greif <ggreif@gmail.com>
Fri, 13 Jul 2007 09:48:29 +0000 (09:48 +0000)
* autoconf/AutoRegen.sh: use variables for autofoo versions
* autoconf/configure.ac: test for some more functions
                         that are not guaranteed on solaris

Note: the svn:mime-type of autoconf/AutoRegen.sh
      should be set to something that allows for
text compares using svn diff

git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@39800 91177308-0d34-0410-b5e6-96231b3b80d8

autoconf/AutoRegen.sh
autoconf/configure.ac
llvm.spec.in

index f0880cb9504d8f047595e951a89def5ed3365278..3dca38673718189085f0fbd64940f3a91dc30c93 100755 (executable)
@@ -3,16 +3,29 @@ die () {
        echo "$@" 1>&2
        exit 1
 }
+
+### NOTE: ############################################################"
+### The below two variables specify the auto* versions
+### periods should be escaped with backslash, for use by grep
+want_autoconf_version='2\.60'
+want_autoheader_version=$want_autoconf_version
+### END NOTE #########################################################"
+
+
 outfile=configure
 configfile=configure.ac
+
+want_autoconf_version_clean=`echo $want_autoconf_version | sed -e 's/\\\\//g'`
+want_autoheader_version_clean=`echo $want_autoheader_version | sed -e 's/\\\\//g'`
+
 test -d autoconf && test -f autoconf/$configfile && cd autoconf
 test -f $configfile || die "Can't find 'autoconf' dir; please cd into it first"
-autoconf --version | grep '2\.60' > /dev/null
-test $? -eq 0 || die "Your autoconf was not detected as being 2.60"
+autoconf --version | grep $want_autoconf_version > /dev/null
+test $? -eq 0 || die "Your autoconf was not detected as being $want_autoconf_version_clean"
 aclocal --version | grep '^aclocal.*1\.9\.6' > /dev/null
 test $? -eq 0 || die "Your aclocal was not detected as being 1.9.6"
-autoheader --version | grep '^autoheader.*2\.60' > /dev/null
-test $? -eq 0 || die "Your autoheader was not detected as being 2.60"
+autoheader --version | grep '^autoheader.*'$want_autoheader_version > /dev/null
+test $? -eq 0 || die "Your autoheader was not detected as being $want_autoheader_version_clean"
 libtool --version | grep '1\.5\.22' > /dev/null
 test $? -eq 0 || die "Your libtool was not detected as being 1.5.22"
 echo ""
@@ -27,9 +40,9 @@ echo ""
 echo "Regenerating aclocal.m4 with aclocal 1.9.6"
 cwd=`pwd`
 aclocal --force -I $cwd/m4 || die "aclocal failed"
-echo "Regenerating configure with autoconf 2.60"
+echo "Regenerating configure with autoconf $want_autoconf_version_clean"
 autoconf --force --warnings=all -o ../$outfile $configfile || die "autoconf failed"
 cd ..
-echo "Regenerating config.h.in with autoheader 2.60"
+echo "Regenerating config.h.in with autoheader $want_autoheader_version_clean"
 autoheader --warnings=all -I autoconf -I autoconf/m4 autoconf/$configfile || die "autoheader failed"
 exit 0
index c07822bf9a70cc2e017eaf54d6167bf0a9703318..45ad6a57264f5358e0b826a9743f7c6c5208fe6b 100644 (file)
@@ -721,7 +721,8 @@ dnl===
 dnl===-----------------------------------------------------------------------===
 
 AC_CHECK_FUNCS([backtrace ceilf floorf roundf rintf nearbyintf getcwd ])
-AC_CHECK_FUNCS([getpagesize getrusage getrlimit setrlimit gettimeofday])
+AC_CHECK_FUNCS([powf fmodf strtof round ])
+AC_CHECK_FUNCS([getpagesize getrusage getrlimit setrlimit gettimeofday ])
 AC_CHECK_FUNCS([isatty mkdtemp mkstemp ])
 AC_CHECK_FUNCS([mktemp realpath sbrk setrlimit strdup strerror strerror_r ])
 AC_CHECK_FUNCS([strtoll strtoq sysconf malloc_zone_statistics ])
index 1091f2d9f818ab56bffe14f45c7cbecd29d5c420..9284d65d00774595585385c4e862f21a2eff0f7b 100644 (file)
@@ -15,8 +15,9 @@ BuildRequires: gcc >= 3.4
 LLVM is a compiler infrastructure designed for compile-time, link-time, runtime,
 and idle-time optimization of programs from arbitrary programming languages.
 LLVM is written in C++ and has been developed since 2000 at the University of
-Illinois and Apple.  It currently supports compilation of C and C++ programs, 
-using front-ends derived from GCC 3.4 and 4.0.1. The compiler infrastructure 
+Illinois and Apple. It currently supports compilation of C and C++ programs, 
+using front-ends derived from GCC 4.0.1. A new front-end for the C family of
+languages is in development. The compiler infrastructure
 includes mirror sets of programming tools as well as libraries with equivalent
 functionality.